Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.utils
Class SystemActionCache

    java.lang.Object
      com.tibco.bpm.web.client.services.utils.SystemActionCache

    public class SystemActionCache

extends java.lang.Object

Nested Class Summary
`static class` | `SystemActionCache.DATACONTEXT`

Field Summary
`static java.util.Map<java.lang.String,java.lang.Boolean>` | `systemActionCache`

Constructor Summary
`SystemActionCache()`

Method Summary
`static void` | `cacheSystemActions(SystemActionCache.DATACONTEXT context, com.google.gwt.user.client.Command callback)`
`static java.lang.String` | `devX(java.lang.String parameterName, java.lang.String x)` Utility method to get to test for existence of any parameter Can also return the string suffix after the matching value
`static java.lang.String[]` | `devX(java.lang.String parameterName, java.lang.String x, boolean onlyFirst)` Utility method to get to test for existence of any parameter when multiple keys with same name are used.
`static boolean` | `isActionAuthorsised(java.lang.String component, java.lang.String name)`
`static void` | `put(java.lang.String component, java.lang.String name)`
`static void` | `put(java.lang.String component, java.lang.String name, java.lang.Boolean defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### systemActionCache

    public static java.util.Map<java.lang.String,java.lang.Boolean> systemActionCache

Constructor Detail

### SystemActionCache

    public SystemActionCache()

Method Detail

### put

    public static void put(java.lang.String component,
                           java.lang.String name)

### put

    public static void put(java.lang.String component,
                           java.lang.String name,
                           java.lang.Boolean defaultValue)

### isActionAuthorsised

    public static boolean isActionAuthorsised(java.lang.String component,
                                              java.lang.String name)

### cacheSystemActions

    public static void cacheSystemActions(SystemActionCache.DATACONTEXT context,
                                          com.google.gwt.user.client.Command callback)

### devX

    public static java.lang.String devX(java.lang.String parameterName,
                                        java.lang.String x)

  Utility method to get to test for existence of any parameter Can also return the string suffix after the matching value

  Parameters:
    `parameterName` -
    `x` -
  Returns:
    null if parameter doesn't exist, "" if match exactly, otherwise text after matching x

### devX

    public static java.lang.String[] devX(java.lang.String parameterName,
                                          java.lang.String x,
                                          boolean onlyFirst)

  Utility method to get to test for existence of any parameter when multiple keys with same name are used. Can also return the string suffix after the matching value

  Parameters:
    `parameterName` -
    `x` -
    `onlyFirst` - get the result of the first matching query param key value
  Returns:
    null if parameter doesn't exist, otherwise array with size indicating number of matching parameterNames for each matching parameterName result[n] value is "" if match x exactly, otherwise text after matching x

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.